SF2R(4)

NAME
sf2r - SoundForte RadioLink SF16-FMR2 FM radio device driver

SYNOPSIS
option RADIO_TEA5759

sf2r0 at isa? port 0x384
radio* at sf2r0

DESCRIPTION
The sf2r driver provides support for the SF16-FMR2 FM radio tuners.

The SF16-FMR2 is a stereo FM tuner that allows to tune in the range 87.5 - 108.0 MHz, report signal status on the current frequency, force audio output to mono, perform hardware signal search, and has an internal AFC.

The SF16-FMR2 cards take only one I/O port. The I/O port is set by the driver to the value specified in the configuration file and must be 0x384.

Philips Semiconductors released two almost identical chips TEA5757 and TEA5759. The TEA5757 is used in FM-standards in which the local oscillator frequency is above the radio frequency (e.g. European and American standards). The TEA5759 is the version in which the oscillator frequency is below the radio frequency (e.g. Japanese standards). The option RADIO_TEA5759 changes the algorithm of frequency calculation for the TEA5757 based cards to conform with the Japanese standards.

SEE ALSO
isa(4), radio(4)

HISTORY
The sf2r device driver appeared in OpenBSD 3.0 and NetBSD 1.6.

AUTHORS
-nosplit The sf2r driver was written by Vladimir Popov and Maxim Tsyplakov. The man page was written by Vladimir Popov.

BUGS
MediaForte made two variants of the SF16-FMR2 cards, the first one has an internal amplifier of the output sound, the second one does not have such an amplifier. The current driver supports only the second variant.